Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » e(fx)clipse » Install error(Please help with install error: 'Installing Software' has encountered a problem.)
Install error [message #1853321] Mon, 27 June 2022 18:05 Go to next message
Jess Larson is currently offline Jess LarsonFriend
Messages: 3
Registered: June 2022
Junior Member
I have tried 2 different computers and getting this error on both:

An error occurred while collecting items to be installed
session context was:(profile=C__Users_larso_OneDrive - Grand Canyon University_Desktop_GCU_java-2022-06_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
HTTP Server 'Service Unavailable': http://download.eclipse.org/efxclipse/updates-released/3.8.0/site/plugins/org.eclipse.fx.ide.css.cssext_3.8.0.202204150904.jar
HttpComponents connection error response code 503.
HTTP Server 'Service Unavailable': http://download.eclipse.org/efxclipse/updates-released/3.8.0/site/plugins/org.eclipse.fx.ide.css.cssext.proposals_3.8.0.202204150904.jar
HttpComponents connection error response code 503.
HTTP Server 'Service Unavailable': http://download.eclipse.org/efxclipse/updates-released/3.8.0/site/plugins/org.eclipse.fx.ide.css.cssext.ui_3.8.0.202204150904.jar
HttpComponents connection error response code 503.

Cannot complete the install because one or more required items could not be found.
Software being installed: e(fx)clipse - IDE 3.8.0.202204150904 (org.eclipse.fx.ide.feature.feature.group 3.8.0.202204150904)
Missing requirement: Xtext based CSS Tooling 3.8.0.202204150904 (org.eclipse.fx.ide.css 3.8.0.202204150904) requires 'osgi.bundle; org.eclipse.pde.core 3.10.0' but it could not be found
Cannot satisfy dependency:
From: e(fx)clipse - IDE - CSS 3.8.0.202204150904 (org.eclipse.fx.ide.css.feature.feature.group 3.8.0.202204150904)
To: org.eclipse.equinox.p2.iu; org.eclipse.fx.ide.css [3.8.0.202204150904,3.8.0.202204150904]
Cannot satisfy dependency:
From: e(fx)clipse - IDE 3.8.0.202204150904 (org.eclipse.fx.ide.feature.feature.group 3.8.0.202204150904)
To: org.eclipse.equinox.p2.iu; org.eclipse.fx.ide.css.feature.feature.group [3.8.0.202204150904,3.8.0.202204150904]
Re: Install error [message #1853349 is a reply to message #1853321] Tue, 28 June 2022 18:42 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas SchindlFriend
Messages: 6649
Registered: July 2009
Senior Member
hm that most likely means you have an install without PDE and somehow PDE could not be resolved? What is the base install you start from?
Re: Install error [message #1853374 is a reply to message #1853349] Wed, 29 June 2022 17:39 Go to previous messageGo to next message
Jess Larson is currently offline Jess LarsonFriend
Messages: 3
Registered: June 2022
Junior Member
I installed the most recent version of eclipse for java developers.
Is that what you mean?
Re: Install error [message #1854100 is a reply to message #1853374] Mon, 01 August 2022 10:51 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas SchindlFriend
Messages: 6649
Registered: July 2009
Senior Member
well yes - but that one normally has the update-sites configured so it should have resolved PDE for you
Re: Install error [message #1854293 is a reply to message #1854100] Wed, 10 August 2022 21:25 Go to previous message
Jess Larson is currently offline Jess LarsonFriend
Messages: 3
Registered: June 2022
Junior Member
I did a fresh install a month ago and everything else works except I still can't install the e(fx)clipse.
I just tried again and this is the message:
An error occurred while collecting items to be installed
session context was:(profile=C__Users_Larson_Desktop_GCU_java-2022-03_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
HTTP Server 'Service Unavailable': http://download.eclipse.org/efxclipse/updates-released/3.8.0/site/plugins/org.eclipse.fx.ide.css.cssext_3.8.0.202204150904.jar
HttpComponents connection error response code 503.
HTTP Server 'Service Unavailable': http://download.eclipse.org/efxclipse/updates-released/3.8.0/site/plugins/org.eclipse.fx.ide.css.cssext.proposals_3.8.0.202204150904.jar
HttpComponents connection error response code 503.
HTTP Server 'Service Unavailable': http://download.eclipse.org/efxclipse/updates-released/3.8.0/site/plugins/org.eclipse.fx.ide.css.cssext.ui_3.8.0.202204150904.jar
HttpComponents connection error response code 503.
Previous Topic:No content assist in fxml files?
Next Topic:e(fx)clipse css editor fails in newer version of Eclipse
Goto Forum:
  


Current Time: Thu Feb 09 10:29:33 GMT 2023

Powered by FUDForum. Page generated in 0.02226 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top